
### this script reads an exp data and calculates a proliferation score
# 1) select the 18 proliferation genes (doi: 10.1186/s12920-015-0129-6, Suppl Tab5)
# 2) scale each gene to mean=0 and sd=1.
# 3) calculate the mean for each patient.

arg = commandArgs()

proliferationGenes = c("ANLN","CEP55","ORC6L","CCNE1","EXO1","PTTG1","CDC20","KIF2C","RRM2","CDC6","KNTC2", "TYMS","CDCA1","MELK","UBE2C","CENPF","MKI67","UBE2T")

### read GEX data:
expData = read.table( file = paste("dataInput", arg[2], sep="/"), sep="\t")
cat("1) Reading file: ", arg[2], dim(expData), "\n")

data_proliferationGenes = expData[ rownames(expData) %in% proliferationGenes , ]
cat("Number of proliferation genes found = ", nrow(data_proliferationGenes), " ( out of totally ", length(proliferationGenes), ") \n")

prolifDist <- apply(scale(t( data_proliferationGenes )),1,mean)      # scale() : scales the columns of a numeric matrix
save(prolifDist, file=paste("dataOutput/", arg[1], "/prolifScore_18genes.Rdata" , sep=""))







