
### this script performs genefu subtyping: 

arg = commandArgs()

### read GEX data:
cat("1) Reading file: ", arg[2], "\n")
expData = read.table( file = paste("dataInput", arg[2], sep="/"), sep="\t")

#rename genesymbol to enrezID: 
load("dataInput/PAM50_geneSymbol_entrezID.Rdata")
if( sum(rownames(expData) == PAM50_geneSymbol_entrezID$Gene.Symbol) != 50 ){  # need to be equal to 50 Then all the PAM50 genes are match in our data and Parkers data.
  exit()
}
rownames(expData) = PAM50_geneSymbol_entrezID$EntrezGene.ID

#################################################### find and store data: 
mainDir = getwd() 
setwd(paste(  mainDir , "dataOutput" , arg[1], sep="/") ) 

#################################################### run  genefu
D = t(expData)      # needs to be n x 50
resPAM50_genefu = molecular.subtyping(sbt.model="pam50", data=D , annot=PAM50_geneSymbol_entrezID, do.mapping = TRUE)


###################################################  structure the results: 
subtype_withNormal = apply(resPAM50_genefu$subtype.proba, 1, which.max)
subtype_withNormal[ subtype_withNormal == 1 ] = subtypeNames[1]
subtype_withNormal[ subtype_withNormal == 2 ] = subtypeNames[2]
subtype_withNormal[ subtype_withNormal == 3 ] = subtypeNames[3]
subtype_withNormal[ subtype_withNormal == 4 ] = subtypeNames[4]
subtype_withNormal[ subtype_withNormal == 5 ] = subtypeNames[5]

subtype_withoutNormal = apply(resPAM50_genefu$subtype.proba[,-5], 1, which.max)
subtype_withoutNormal[ subtype_withoutNormal == 1 ] = subtypeNames[1]
subtype_withoutNormal[ subtype_withoutNormal == 2 ] = subtypeNames[2]
subtype_withoutNormal[ subtype_withoutNormal == 3 ] = subtypeNames[3]
subtype_withoutNormal[ subtype_withoutNormal == 4 ] = subtypeNames[4]

# data frame with all results:
subtype_genefu_info                       = data.frame(resPAM50_genefu$subtype.proba)
subtype_genefu_info$subtype_withNormal    = subtype_withNormal 
subtype_genefu_info$subtype_withoutNormal = subtype_withoutNormal 

table(subtype_withNormal)

###################################################  save the results: 
save(subtype_genefu_info, file="genefu.Rdata")

setwd(mainDir)

#
