
### this script calculates the ROR score: 

arg = commandArgs()
arg 

### read the annotation file:
annotFile = read.table(file=paste("dataInput", arg[2], sep="/"), sep="\t", stringsAsFactors=F, header=T, skip=4, dec=",")
annotFile$sample.ID = gsub( "-" ,"." , annotFile$SampleID)
### read annotation: big tumor size:
table(annotFile$Tumor.size)
tumorBig = as.numeric((annotFile$Tumor.size == ">2cm"))
# <=2cm  >2cm 
#   59    35 


### set work dir to data output folder:
mainDir = getwd() 
setwd(paste(  mainDir , "dataOutput" , arg[1], sep="/") ) 

### read output data:
load("prolifScore_18genes.Rdata", verbos=T)
load("SubtypeInfo_ERcorMethod.Rdata", verbos=T)

########
if( sum(names(prolifDist) == annotFile$sample.ID) != 94 ){  # need to be equal to 0 Then all the PAM50 genes are match in our data and Parkers data.
  exit()
}
if( sum(rownames(subtype_ERcor_info) == annotFile$sample.ID) != 94 ){  # need to be equal to 0 Then all the PAM50 genes are match in our data and Parkers data.
  exit()
}


################# 
RORcoeff = c( -0.0067 , 0.4317, -0.3172, 0.4894, 0.1981, 0.1133); 
tmp = subtype_ERcor_info[,1:4]
RORpt = rep(NA, times=nrow(annotFile))
for(i in 1:nrow(annotFile)){
  RORpt[i] = 54.7690*( sum(c(as.matrix(tmp[i,]), prolifDist[i], tumorBig[i]) * RORcoeff) + 0.8826)
}

RORcat = rep(NA, times=nrow(annotFile))
RORcat[ annotFile$LN.Status == "pN0" & RORpt <= 40 ] = "Low risk" 
RORcat[ annotFile$LN.Status == "pN0" & RORpt > 40 & RORpt <= 60 ] = "Intermediate" 
RORcat[ annotFile$LN.Status == "pN0" & RORpt > 60 ] = "High risk" 
RORcat[ annotFile$LN.Status == "pN1" & RORpt <= 15 ] = "Low risk" 
RORcat[ annotFile$LN.Status == "pN1" & RORpt > 15 & RORpt <= 40 ] = "Intermediate" 
RORcat[ annotFile$LN.Status == "pN1" & RORpt > 40 ] = "High risk" 
RORcat[ annotFile$LN.Status == "pN2" & !is.na(RORpt)  ] = "High risk" 


#################################################### find and store data: 
RORinfo = data.frame("ROR" = RORpt,"RORcat"=RORcat )
rownames(RORinfo) = annotFile$SampleID

save(RORinfo, file="ROR_info.Rdata")

setwd(mainDir)


