
arg = commandArgs()
arg 

mainDir = getwd() 

### read the annotation file from Suppl tab 1:
annotFile = read.table(file=paste("dataInput", arg[1], sep="/"), sep="\t", stringsAsFactors=F, header=T, skip=4, dec=",")
# remove the ROR data from the input txt file, and instead included the currently calculated ROR score
variables = c("Subtype.1","ROR.1","Risk.Group.1", "Subtype.2","ROR.2","Risk.Group.2","Disagreemen.between.risk.group.in.ROR.Macro.and.ROR.Bulk", "Treatment.recommendation.Macro","Treatment.recommendation.Bulk")
annotFile = annotFile[,! colnames(annotFile) %in% variables]

annotFile$tumorContent_IBCandDCIS = annotFile$Invasive.tumor.component + annotFile$Insitu  

tmp = rep("black")
tmp[ annotFile$Subtype == "Basal-like" ]     = "red"
tmp[ annotFile$Subtype == "HER2-enriched" ] = "pink"
tmp[ annotFile$Subtype == "Luminal A" ]      = "darkblue"
tmp[ annotFile$Subtype == "Luminal B" ]      = "skyblue"
annotFile$colorProsignaSubtype = tmp

tmp = rep("black")
tmp[ annotFile$Risk.Group == "High risk" ]     = "red"
tmp[ annotFile$Risk.Group == "Intermediate" ] = "orange"
tmp[ annotFile$Risk.Group == "Low risk" ]      = "green"
annotFile$colorProsignaRORcat = tmp

CutOffHigh = rep(NA, times=nrow(annotFile))
CutOffHigh[ annotFile$LN.Status == "pN0" ] = 60-0.001
CutOffHigh[ annotFile$LN.Status == "pN1" ] = 40
annotFile$CutOffHigh = CutOffHigh

CutOffLow = rep(NA, times=nrow(annotFile))
CutOffLow[ annotFile$LN.Status == "pN0" ] = 40-0.001
CutOffLow[ annotFile$LN.Status == "pN1" ] = 15
annotFile$CutOffLow = CutOffLow

############################################################################################
#morfology
#load("dataInput/morfologiKoder_94.Rdata", verbos=T)
#if( sum(morfologiKoder_94$newSampleID_BC == annotFile$SampleID) != 94 ){  # need to be equal to 0 Then all the PAM50 genes are match between our data and Parkers data.
#  exit()
#}
#annotFile$morfologiKode = morfologiKoder_94$Morfologiskdiagnose
#annotFile$morfologiTekst = morfologiKoder_94$Morfologiskdiagnose_type


############################################################################################
####### read output from currently calculated scripts: 

## macro results: 
setwd(paste(  mainDir , "dataOutput/macro", sep="/") ) 
load("prolifScore_18genes.Rdata", verbos=T); 
  annotFile$prolifDist18_nCounter = prolifDist
load("ESR1info.Rdata", verbos=T); 
  annotFile$ERinfo_nCounter = ERinfo
load("SubtypeInfo_ERcorMethod.Rdata", verbos=T); 
  annotFile$subtype_ERmod_nCounter = subtype_ERcor_info
load("ROR_info.Rdata", verbos=T)
  annotFile$RORtot_Cont_nCounter = RORinfo$ROR
  annotFile$RORtot_Cat_nCounter = RORinfo$RORcat
load("genefu.Rdata", verbos=T); 
  annotFile$subtype_genefu_nCounter = subtype_genefu_info

## bulk results: 
setwd(paste(  mainDir , "dataOutput/bulk", sep="/") ) 
load("prolifScore_18genes.Rdata", verbos=T); 
  annotFile$prolifDist18_RNAseq = prolifDist
load("ESR1info.Rdata", verbos=T); 
  annotFile$ERinfo_RNAseq = ERinfo
load("SubtypeInfo_ERcorMethod.Rdata", verbos=T); 
  annotFile$subtype_ERmod_RNAseq = subtype_ERcor_info
load("ROR_info.Rdata", verbos=T)
  annotFile$RORtot_Cont_RNAseq = RORinfo$ROR
  annotFile$RORtot_Cat_RNAseq = RORinfo$RORcat
load("genefu.Rdata", verbos=T); 
  annotFile$subtype_genefu_RNAseq = subtype_genefu_info


############################################################################################
#store the data
annotFile_94 = annotFile
save(annotFile_94, file=paste(mainDir, "dataOutput", "annotFile_n94.Rdata", sep="/")  )

setwd(mainDir)


